/*
 * Copyright (C) Sureshot 2002
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; see the file COPYING.  If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * Review history:
 *
 */

package se.bysoft.sureshot.gui.splashscreen;

/**
 * Interface for splash screens.
 *
 * @author Roger Karlsson
 * @since  February 22, 2002
 */
public interface SplashScreen 
{
    /**
     * Displays a splash screen centered on the screen.
     */
    void display();
    
    /**
     * Displays a splash screen at the specified position.
     */
    void display(int x, int y);
    
    /**
     * Shut down the splash screen.
     */
    void closeIt();
}

