/*
 * Copyright (C) Sureshot 2002
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; see the file COPYING.  If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * Review history:
 *
 */

package se.bysoft.sureshot.gui.util;

/**
 * GUI components should only be modified with the AWT thread after they
 * have been set visible. This interface is used in classes where we want to
 * delegate the work from the update(Observable observable, Object o)
 * method to another method called by the AWT thread.
 *
 * @author Roger Karlsson
 * @since  March 12, 2002
 */
public interface Updatable 
{
    void updateView();
}

